> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/wam-forms.md).

# WAM forms

## GET /wam/forms/

> List all waste forms

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Forms":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Form"},"type":"array"}},"type":"object"},"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"},"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/wam/forms/":{"get":{"operationId":"listWasteForms","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Filter waste forms by uid","in":"query","name":"uid__in","required":false,"schema":{"type":"string"}},{"description":"Filter waste forms by creation date","in":"query","name":"created","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter waste forms created after a certain date","in":"query","name":"created__gt","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter waste forms created on or after a certain date","in":"query","name":"created__gte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter waste forms created before a certain date","in":"query","name":"created__lt","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter waste forms created on or before a certain date","in":"query","name":"created__lte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter waste forms by status","in":"query","name":"status","required":false,"schema":{"$ref":"#/components/schemas/waste_shipment_status"}},{"description":"Filter waste forms by multiple statuses, comma separated","in":"query","name":"status__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forms"}}},"description":"Get successful"}},"summary":"List all waste forms","tags":["Wam-Forms"]}}}}
````

## POST /wam/forms/

> Create a waste form

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"},"PublicWasteLoadInputValidator":{"properties":{"description":{"description":"Description of the waste load. Text longer than 255 characters is cut at 255 characters.","type":"string"},"weight":{"description":"Weight of the waste in kilograms. Rounded half up to the gram (3 decimals).","format":"float","minimum":0,"type":"number"},"quantity":{"description":"Number of packages, as a whole number. This is required for hazardous waste.","minimum":0,"type":"integer"},"eural_code":{"description":"The Eural code of the waste, as `02 01 01` or `020101`. It must exist in the European waste catalogue. Dashdoc reads from the catalogue whether the waste is hazardous: the `*` suffix is optional and ignored.\n","type":"string"},"physical_properties":{"description":"Physical properties of the waste load. This is required for hazardous waste. Text longer than 255 characters is cut at 255 characters.","type":"string"},"chemical_composition":{"description":"Chemical composition of the waste load. This is required for hazardous waste. Text longer than 255 characters is cut at 255 characters.","type":"string"},"packaging_type":{"description":"Packaging type of the waste load. This is required for hazardous waste. Text longer than 255 characters is cut at 255 characters.","type":"string"},"treatment_type":{"description":"Treatment type of the waste load. This is required for hazardous waste. Text longer than 255 characters is cut at 255 characters.","type":"string"},"treatment_codes":{"description":"Treatment codes of the waste load. Case, spaces and leading zeros are ignored (`r01` is read as `R1`), and duplicates are removed.\n","items":{"$ref":"#/components/schemas/treatment_code"},"type":"array"}},"type":"object"},"treatment_code":{"enum":["R1","R2","R3","R4","R5","R6","R7","R8","R9","R10","R11","R12","R13","D1","D2","D3","D4","D5","D6","D7","D8","D9","D10","D11","D12","D13","D14","D15"],"type":"string"},"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"},"Load":{"properties":{"uid":{"description":"Unique identifier of the waste load","type":"string"},"description":{"description":"Description of the waste load","type":"string"},"weight":{"description":"Weight of the waste in kilograms","format":"float","type":"number"},"quantity":{"description":"Quantity of packages","format":"double","type":"number"},"eural_code":{"description":"The Eural code of the waste, suffixed with a * when the European waste catalogue marks it as hazardous.","type":"string"},"physical_properties":{"description":"Physical properties of the waste load","type":"string"},"chemical_composition":{"description":"Chemical composition of the waste load","type":"string"},"packaging_type":{"description":"Packaging type of the waste load","type":"string"},"treatment_type":{"description":"Treatment type of the waste load","type":"string"},"treatment_codes":{"description":"Treatment codes of the waste load","items":{"$ref":"#/components/schemas/treatment_code"},"type":"array"}},"type":"object"}}},"paths":{"/wam/forms/":{"post":{"operationId":"createWasteForm","requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"},{"properties":{"loads":{"description":"Loads to add to the waste form, in this order. Each load takes the same fields as the /v4/wam/forms/{form-uid}/loads/ endpoint. If one load is refused, the waste form is not created.","items":{"allOf":[{"$ref":"#/components/schemas/PublicWasteLoadInputValidator"},{"required":["description","eural_code","treatment_codes"],"type":"object"}]},"type":"array"}},"type":"object"}]}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Form"},{"properties":{"loads":{"description":"The loads created with the waste form, in request order","items":{"$ref":"#/components/schemas/Load"},"type":"array"}},"type":"object"}]}}},"description":"Create successful"}},"summary":"Create a waste form","tags":["Wam-Forms"]}}}}
````

## GET /wam/forms/{uid}/

> Read a waste form

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"},"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/wam/forms/{uid}/":{"get":{"operationId":"readWasteForm","parameters":[{"description":"Unique identifier of the waste form","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Form"}}},"description":"Get successful"}},"summary":"Read a waste form","tags":["Wam-Forms"]}}}}
````

## DELETE /wam/forms/{uid}/

> Delete a waste form

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/wam/forms/{uid}/":{"delete":{"operationId":"deleteWasteForm","parameters":[{"description":"Unique identifier of the waste form","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"405":{"description":"A waste form cannot be deleted, but cancelling or discontinuing it is allowed from the web app"}},"summary":"Delete a waste form","tags":["Wam-Forms"]}}}}
````

## PATCH /wam/forms/{uid}/

> Update a waste form

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"},"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"}}},"paths":{"/wam/forms/{uid}/":{"patch":{"operationId":"updateWasteForm","parameters":[{"description":"Unique identifier of the waste form","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Form"}}},"description":"Update successful"}},"summary":"Update a waste form","tags":["Wam-Forms"]}}}}
````

## Sign as organizer

> Sign the waste shipment as organizer.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"},"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/wam/forms/{uid}/sign-as-organizer/":{"post":{"description":"Sign the waste shipment as organizer.","operationId":"signWasteFormAsOrganizer","parameters":[{"description":"Unique identifier of the waste form","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Form"}}},"description":"Sign successful"}},"summary":"Sign as organizer","tags":["Wam-Forms"]}}}}
````

## Create transport

> Create the transport linked to the waste shipment.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Forms"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"requestBodies":{"inline_object_9":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_object_9"}}}}},"schemas":{"inline_object_9":{"properties":{"send_to_carrier":{"description":"Whether to send the document to the carrier. If not provided, document will be sent to carrier only if the organizer is the carrier.","nullable":true,"type":"boolean"}},"type":"object"},"Form":{"allOf":[{"$ref":"#/components/schemas/Form_allOf"},{"$ref":"#/components/schemas/PublicWasteShipmentInputValidator"}]},"Form_allOf":{"properties":{"uid":{"description":"Unique identifier of the waste form","format":"uuid","type":"string"},"name":{"description":"Human readable name of the waste form. Identifier for OVAM.","type":"string"},"created":{"description":"Date and time of creation","format":"date-time","type":"string"},"updated":{"description":"Date and time of last update","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/waste_shipment_status"},"pdf":{"$ref":"#/components/schemas/Form_allOf_pdf"},"discontinued_reason":{"description":"Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination","nullable":true,"type":"string"},"transport_uid":{"description":"Unique identifier of the transport linked to the waste form in the TMS if any","format":"uuid","type":"string"}},"type":"object"},"waste_shipment_status":{"description":"The status of the waste shipment","enum":["draft","signed","cancelled","inTransit","discontinued","arrived","completed"],"type":"string"},"Form_allOf_pdf":{"nullable":true,"properties":{"url":{"description":"URL to fetch the PDF version of the waste form","type":"string"},"updated_date":{"description":"Date and time of PDF last update","format":"date-time","type":"string"}},"type":"object"},"PublicWasteShipmentInputValidator":{"properties":{"producer_id":{"description":"The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"processor_id":{"description":"The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"carrier_id":{"description":"The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"organizer_id":{"description":"The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.","nullable":true,"type":"integer"},"origin_id":{"description":"The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.","nullable":true,"type":"integer"},"destination_id":{"deprecated":true,"description":"The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.","nullable":true,"type":"integer"},"instructions":{"nullable":true,"type":"string"},"sea_ship_name":{"description":"Name of the sea ship","nullable":true,"type":"string"},"sea_ship_imo_number":{"description":"IMO number of the sea ship","nullable":true,"type":"string"},"sea_ship_mmsi_number":{"description":"MMSI number of the sea ship","nullable":true,"type":"string"},"sea_ship_eni_number":{"description":"ENI number of the sea ship","nullable":true,"type":"string"},"transport_date":{"format":"date-time","nullable":true,"type":"string"},"carrier_contact_uid":{"description":"The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"organizer_signatory_uid":{"description":"The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"producer_contact_uid":{"description":"The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_contact_uid":{"description":"The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"},"processor_signatory_uid":{"description":"The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.","format":"uuid","nullable":true,"type":"string"}},"type":"object"}}},"paths":{"/wam/forms/{uid}/create-transport/":{"post":{"description":"Create the transport linked to the waste shipment.","operationId":"createTransportFromWasteForm","parameters":[{"description":"Unique identifier of the waste form","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"$ref":"#/components/requestBodies/inline_object_9","content":{"application/json":{"schema":{"properties":{"send_to_carrier":{"description":"Whether to send the document to the carrier. If not provided, document will be sent to carrier only if the organizer is the carrier.","nullable":true,"type":"boolean"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Form"}}},"description":"Transport successfully created"}},"summary":"Create transport","tags":["Wam-Forms"]}}}}
````
